/*!
 * @file lince_dng_constants.h
 * @brief Lince5M specific definitions.
 *
 * Copyright 2019 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef __LINCE_DNG_CONSTANTS_H__
#define __LINCE_DNG_CONSTANTS_H__

#include <stdint.h>

#if 0
// The camera values for 'as-shot' settings (Red, Green, Blue channels).
//
// The "calibrated" values are the "pure" XYZ values back converted to what the
// sensor values "would have been".
//
// The "raw" values are the values actually taken by the sensor.
static int32_t  lince_as_day_calib[] = { 0.624956, 0.985187, 0.699807 };
static int32_t  lince_as_day_raw[] = { 0.654008, 1.0, 0.801688 };

static int32_t  lince_as_cwf_calib[] = { 0.693496, 1.009146, 0.446629 };
static int32_t  lince_as_cwf_raw[] = { 0.711765, 1.0, 0.5 };

static int32_t  lince_as_tun_calib[] = { 1.023146, 0.995655, 0.406675 };
static int32_t  lince_as_tun_raw[] = { 1.0, 0.926380, 0.417178 };
#endif

// Defines the value we use as the calibration illuminant1 (StdA)
#define LINCE_CALIBRATION_ILLUMINANT1       17

// The color matrix for Illuniant1.
static const int32_t lince_dng_color_matrix1[] =
{
    2777188, 1000000,  -2002231, 1000000,    -46381, 1000000,
    153796, 1000000,    801073, 1000000,     69984, 1000000,
    153410, 1000000,     36932, 1000000,    570990, 1000000
};

// Defines the value we use as the calibration illuminant2 (D65)
#define LINCE_CALIBRATION_ILLUMINANT2       21

// The color matrix for Illuminant2.
static const int32_t lince_dng_color_matrix2[] =
{
    1469926, 1000000,   -604073, 1000000,   -153640, 1000000,
    -177284, 1000000,   1057932, 1000000,     87595, 1000000,
    -7126, 1000000,    224957, 1000000,    430896, 1000000
};

#endif /* __LINCE_DNG_CONSTANTS_H__ */
